#!/usr/bin/python
# -*- coding:utf-8 -*-

"""test module"""

from dom import *

# def getInstance():
#     #print "retrieving result"
#     return ScoreCard()
#     pass


class ScoreCard:
    def __init__( self ):
        return
    
    def writeHTML( self, filename ):
        file = open( filename, "w" )
        file.write( self, toHTML() )
        file.close()
        pass
        
    def getName( self ):
        return None

    def getVersion( self ):
        return "0.0"

    def getIcon( self, team ):
        return ""

    def getSportsCategory( self ):
        raise TypeError( "not implemented" )

    def getCountry( self ):
        raise TypeError( "not implemented" )

    def isAvailable( self ):
        try:
            #self.getURL()
            self.getSportsCategory()
        except:
            return False
        if self.getName() == None: return False
        return True

    def decode( self, contents ):
        return unicode( contents, self.getEncoding() ).encode( 'utf-8' )
        
    def getURL( self ):
        raise TypeError( "not implemented" )

    def interpreteDocument( self, document ):
        raise TypeError( "not implemented" )

    def getStartKeyword( self ):
        return None

    def getEndKeyword( self ):
        return None

    def getEncoding( self ):
        return 'sjis'

    def getLanguage( self ):
        return "ja"

    def toHTML( self ):
        return "<html></html>"

    def xml_lang( self ):
        return "<html xmlns=\"http://www.w3.org/1999/xhtml\" xml:lang=\"%s\" lang=\"%s\">" % ( self.getLanguage() , self.getLanguage() )

    def xml_header( self ):
        return "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n"

    def xml_doctype( self ):
        return "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">\n"
        
    def html_header( self ):
        html =  self.xml_header()
        html += self.xml_doctype()
        html += self.xml_lang()
        html += "<head><meta http-equiv=\"Content-Style-Type\" content=\"text/css\">\n<meta http-equiv=\"Content-Script-Type\" content=\"text/javascript\"/>\n"
        html += "<title>%s</title>\n" % ( self.getName() )
        html += self.html_css()
        html += "</head>\n"
        return html

    def __getCSSPath( self, skin ):
        import os, os.path
        if skin == None or skin == "" or os.path.exists( '../%s.css' % skin ) == False:
            skin = 'score'
            pass
        uri = "file://" + os.path.abspath( os.path.curdir + "/.." ) + "/%s.css" % skin
        return uri

    def html_css( self, skin = None ):
        if skin == None: skin = 'score'
        return '<style type="text/css">\n  @import "%s";\n</style>\n' \
               % self.__getCSSPath( skin )
        return """
        <style type=\"text/css\">
        </style>
        """


    def html_footer( self ):
        return '</html>'

    pass

