#!/usr/bin/python
# -*- coding:utf-8 -*-

"""test module"""

from dom import *

# def getInstance():
#     #print "retrieving result"
#     return ScoreCard()
#     pass


class PremierLeague_PL_2005:
    def __init__( self ):
        return
    
    def getName( self ):
        return "Premier League (premierleague.com)"

    def getVersion( self ):
        return "1.0"

    def getSportsCategory( self ):
        return "football"

    def getCountry( self ):
        return "England"

    def getIcon( self, team ):
        team = string.lower( team )
        name = team
        if re.match( "liv.*pool", team )      : name = "liverpool"
        elif re.match( "tot.*ham", team )     : name = "tottenham"
        elif re.match( "man.*\\Wu", team )    : name = "manutd"
        elif re.match( "a.*villa", team )     : name = "astonvilla"
        elif re.match( "m.*\\Wbrough", team ) : name = "middlesborough"
        elif re.match( "man.*\\Wc", team )    : name = "mancity"
        elif re.match( "south.*\\W.*n", team ): name = "southanpton"
        elif re.match( "portsm", team )       : name = "portsmouth_180"
        elif re.match( "c.*palace", team )    : name = "crystalpalace1"
        elif re.match( "n.*\\Wcastle", team ) : name = "newcastle"
        elif re.match( "birm.*ham", team )    : name = "birmingham"
        elif re.match( "w.*b.*m", team )      : name = "westbrom"
        elif re.match( "norwi", team )        : name  = "norwichcity1"
        #http://www.premierleague.com/en/images/club_normallogos_180x160/.gif
        import makelogo
        try:
            uri = makelogo.getURI( "http://www.premierleague.com/en/images/club_normallogos_180x160/%s.gif" % name, 'premier', name, transparency = ( 179, 159 ) )
            return '<td class="teamlogo"><img src="%s" class="logo"/></td>' % uri
        except:
            raise
            return ''
        pass

    def decode( self, contents ):
        return contents
        
    def getURL( self ):
        import tempfile, os, re 
        url = "http://premierleague.com"
        fn_temp = tempfile.mktemp()
        os.system( "/usr/bin/curl %s -o %s -s" % ( url, fn_temp ) )
        for line in open( fn_temp ).readlines():
            m = re.search( "href=\"?([^\"\>]+)", line, re.I )
            if m:
                url = m.group( 1 )
                break
            pass
        os.unlink( fn_temp )
        return url

    def interpreteDocument( self, document ):
        raise TypeError( "not implemented" )

    def getStartKeyword( self ):
        return None

    def getEndKeyword( self ):
        return None

    def getEncoding( self ):
        return 'ascii'

    def getLanguage( self ):
        return "en"

    def toHTML( self ):
        return self.html_header() + "</html>"

    pass

if __name__ == "__main__":
    obj = PremierLeague_PL_2005()
    teams = [ 'Chelsea', 'Arsenal', 'Man Utd',  'Everton', 'Liverpool',	
              'Bolton',  "M'brough", 
              'Man City',
              'Tottenham',
              'Aston Villa',
              'Charlton',
              'Birmingham',
              'Fulham',
              'Newcastle',	
              'Blackburn',
              'Portsmouth',
              'West Brom',
              'C Palace',
              'Norwich',
              'Southampton'
              ]
    print obj.getURL()
    for team in teams:
        print team
        print obj.getIcon( team )#'Chelsea' )
        #print obj.getIcon( 'Arsenal' )
    
